
package ibase.dashboard.ejb;
import java.rmi.RemoteException;
import ibase.webitm.ejb.ValidatorLocal;
import ibase.webitm.utility.ITMException;

import javax.ejb.Local;

import org.json.simple.JSONObject;

@Local
public interface SalesPerformanceLocal extends ValidatorLocal 
{
	public JSONObject getMetaData(String fileName) throws RemoteException, ITMException;
	public JSONObject getGridData(String dataSourceName,String month) throws RemoteException, ITMException;
	public JSONObject getSalesGraphData(String dataSourceName,String month) throws RemoteException, ITMException;
	public JSONObject getProfitGraphData(String dataSourceName,String month) throws RemoteException, ITMException;
	public JSONObject getExpenseGraphData(String dataSourceName,String month) throws RemoteException, ITMException;
	public JSONObject getMnthlySalesGraphData(String dataSourceName,String month) throws RemoteException, ITMException;
	public JSONObject getYTDSalesGraphData(String dataSourceName,String month) throws RemoteException, ITMException;
	public JSONObject getMnthSalesDivWiseGraphData(String dataSourceName,String month) throws RemoteException, ITMException;
	
	
	
	
	
}
